<?xml version="1.0" encoding="utf-16"?>
<MyMPConfig xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <!-- Global information for this movie provider -->
  <Name>
	Kino.de
  </Name>
  <HomePage>
	www.Kino.de
  </HomePage>
  <Language>
	German
  </Language>
  <Version>0.1</Version>
  <!-- Indicates support for data retrieval -->
  <SupportsCastAndDirector>false</SupportsCastAndDirector>
  <SupportsCover>
	false
  </SupportsCover>
  <SupportsPlot>
	true
  </SupportsPlot>
  <SupportsRating>
	false
  </SupportsRating>
  <!-- List of urls to search for movie -->
  <!-- Enabled = true or false (allow to temporarely disable an url without remove from configuration file) -->
  <!-- Url = {0} will be replaced by the title of the movie  -->
  <!-- RegExp = regular expression used to parse result list, should return 'link' and 'title' within one regexp -->
  <!-- MoviePlotLink = will try to get plot of the movie from those urls (in that particular order), and will stop as soon as it gets one -->
  <!--                 should at least contains one value. -->
  <!-- MaxResult = will stop movie retrieval with this url after it finds this number of movie -->
  <!-- NextPage = reserved (leave empty for now) -->
  <SearchUrls>
    <Search>
      <Enabled>true</Enabled>
      <Url>http://www.kino.de/search.php?mode=megaSearch&amp;searchCategory=film&amp;inputSearch={0}&amp;mode.x=0&amp;mode.y=0</Url>
      <RegExp>0;"&gt;[ \t\r\n\v\f]+.*?&lt;a\shref="(?&lt;Link&gt;/[^"]*)"&gt;(?&lt;Title&gt;.*?)&lt;/a</RegExp>
      <MoviePlotLink>
        <string>http://www.kino.de{0}</string>
      </MoviePlotLink>
      <MaxResult>15</MaxResult>
      <NextPage />
    </Search>
  </SearchUrls>
  <!-- MaxResult = global limitation for number of movie results -->
  <MaxResult>15</MaxResult>
  <!-- Regular expressions to find Title, Original Title, Year and Runtime -->
  <RegExp_Title>0;"&gt;[ \t\r\n\v\f]+.*?&lt;a\shref=.*?&gt;(?&lt;1&gt;.*?)&lt;/a</RegExp_Title>
  <RegExp_OriginalTitle>ll"&gt;[(](?&lt;1&gt;.*?)[)]</RegExp_OriginalTitle>
  <RegExp_Year>ll"&gt;.*?.-.&lt;strong.*?\s(?&lt;1&gt;.*?)&lt;/s</RegExp_Year>
  <RegExp_Runtime>br\s/&gt;\s&lt;strong.*?&gt;.-.*?&gt;(?&lt;1&gt;.*?)\sM</RegExp_Runtime>
  <!-- Regular expressions to look for plot -->
  <!-- options allow to remove specials characters before using regexp -->
  <ReplaceLFbySpaceBeforeRegExpPlot>true</ReplaceLFbySpaceBeforeRegExpPlot>
  <ReplaceCRbySpaceBeforeRegExpPlot>true</ReplaceCRbySpaceBeforeRegExpPlot>
  <ReplaceTBbySpaceBeforeRegExpPlot>true</ReplaceTBbySpaceBeforeRegExpPlot>
  <RegExp_Plot>style="line-height:.15px;"&gt;(?&lt;1&gt;.*?)&lt;br./&gt;[ \t\r\n\v\f]</RegExp_Plot>
  <!-- Regular expressions to look for genres, directors and actors -->
  <RegExp_Genres>/h1&gt;&lt;span\sclass="standardsmall"&gt;.*?&lt;strong&gt;(?&lt;1&gt;.*?)&lt;/strong&gt;.-</RegExp_Genres>
 <TitleEncoding>ISO-8859-1</TitleEncoding>
  <ContentEncoding>ISO-8859-1</ContentEncoding>
  <Debug>true</Debug>
</MyMPConfig>